- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# LAP::CglLandPSimplex::TabRow Struct Reference

`#include <CglLandPSimplex.hpp>`

List of all members.

## Public Member Functions
| TabRow ()
| TabRow (const TabRow &source)
void | size (int n)
| ~TabRow ()
void | print (std::ostream &os, int width=9, const int *nonBasics=NULL, int m=0)
## Public Attributes
int | num
double * | row
double | rhs
int | n_

## Detailed Description

Definition at line 56 of file CglLandPSimplex.hpp.

## Constructor & Destructor Documentation

LAP::CglLandPSimplex::TabRow::TabRow | ( |  | ) | `[inline]`

Definition at line 58 of file CglLandPSimplex.hpp.

LAP::CglLandPSimplex::TabRow::TabRow | ( | const TabRow & | source | ) | `[inline]`

Definition at line 59 of file CglLandPSimplex.hpp.

References CoinCopyN(), n_, and row.

LAP::CglLandPSimplex::TabRow::~TabRow | ( |  | ) | `[inline]`

Definition at line 65 of file CglLandPSimplex.hpp.

References row.

## Member Function Documentation

void LAP::CglLandPSimplex::TabRow::size | ( | int | n | ) | `[inline]`

Definition at line 64 of file CglLandPSimplex.hpp.

References n_, and row.

void LAP::CglLandPSimplex::TabRow::print | ( | std::ostream & | os,
|  | int | width = `9`,
|  | const int * | nonBasics = `NULL`,
|  | int | m = `0` |
| ) |  |  | `[inline]`

Definition at line 69 of file CglLandPSimplex.hpp.

References num, rhs, and row.

## Member Data Documentation

int LAP::CglLandPSimplex::TabRow::num

Definition at line 94 of file CglLandPSimplex.hpp.

Referenced by print().

double* LAP::CglLandPSimplex::TabRow::row

Definition at line 95 of file CglLandPSimplex.hpp.

Referenced by LAP::CglLandPSimplex::newRowCoefficient(), print(), size(), TabRow(), and ~TabRow().

double LAP::CglLandPSimplex::TabRow::rhs

Definition at line 96 of file CglLandPSimplex.hpp.

Referenced by print().

int LAP::CglLandPSimplex::TabRow::n_

Definition at line 97 of file CglLandPSimplex.hpp.

Referenced by size(), and TabRow().

The documentation for this struct was generated from the following file:

- /home/coin/SVN-release/Cgl-0.52.0/Cgl/src/CglLandP/CglLandPSimplex.hpp